import React, { Component } from "react";
import { Link } from "react-router-dom";

export default class Main extends Component {
	state = { todos: [] };

	componentDidMount() {
		fetch("https://jsonplaceholder.typicode.com/todos")
			.then(response => response.json())
			.then(json => this.setState({ todos: json }));
	}

	getId = id => console.log(id);

	render() {
		const { todos } = this.state;
		return (
			<div>
				<div className="list">
					{todos.map(
						el =>
							el.completed && (
								<Link
									to={{
										pathname: `/item/${el.id}`
										// search: `?title=${el.title}"`
									}}
									className="list__item"
									key={el.id}>
									{el.title}
								</Link>
							)
					)}
				</div>
			</div>
		);
	}
}
